Messages
Flashy is an omnichannel platform that lets you send email, SMS and push notifications. Utilize our API to communicate with your customers via the channel that you choose.
Flashy is an omnichannel platform that lets you send email, SMS and push notifications. Utilize our API to communicate with your customers via the channel that you choose.
Using our Drag & Drop editor, you can design and maintain your email templates, and pass the template ID in the API to send beautiful responsive email templates.
As an alternative to using one of your email templates, you can pass the HTML as part
of the request — set either html or template on the message.
template.html.curl -X POST "https://api.flashy.app/messages/email" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message": {
"html": "<html><head><title>Email Page Title</title></head><body><h1>Hello World!</h1><p>Sent from Flashyapp.</p></body></html>",
"subject": "Anything",
"from": {
"name": "Flashy API Test",
"email": "dev@flashyapp.com"
},
"to": {
"name": "Test User",
"email": "hello@flashyapp.com"
},
"vars": {
"unique_hash": "somethinghere"
}
}
}'
$flashy = new Flashy\Flashy(['api_key' => 'YOUR_API_KEY']);
$flashy->messages->email([
'html' => '<html><head><title>Email Page Title</title></head><body><h1>Hello World!</h1><p>Sent from Flashyapp.</p></body></html>',
'subject' => 'Anything',
'from' => ['name' => 'Flashy API Test', 'email' => 'dev@flashyapp.com'],
'to' => ['name' => 'Test User', 'email' => 'hello@flashyapp.com'],
'vars' => ['unique_hash' => 'somethinghere'],
]);
{
"success": true,
"data": null
}
SMS messages can be sent worldwide through the Flashy platform. Make sure you include
the country prefix on the phone number — for example, a United Kingdom number must
include the 44 country code
(list of country codes).
You must have credits on your account in order to send SMS messages.
false
curl -X POST "https://api.flashy.app/messages/sms" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message": {
"from": "Flashyapp",
"to": "972526845430",
"message": "Hello World!",
"transactional": false
}
}'
$flashy = new Flashy\Flashy(['api_key' => 'YOUR_API_KEY']);
$flashy->messages->sms([
'from' => 'Flashyapp',
'to' => '972526845430',
'message' => 'Hello World!',
'transactional' => false,
]);
{
"success": true,
"data": null
}